aboutsummaryrefslogtreecommitdiffstats
path: root/testing/neard/neard.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-09-22 13:32:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-22 13:32:36 +0000
commit31e6b0a3853f55eb7a997c57d2dd212ff9f1b980 (patch)
tree60d56e27e21cb18f7d41b4af7e4bca327d686838 /testing/neard/neard.initd
parentab9f2d8a3f313d0f2cbb620c9b4e31a5baf36754 (diff)
downloadaports-31e6b0a3853f55eb7a997c57d2dd212ff9f1b980.tar.bz2
aports-31e6b0a3853f55eb7a997c57d2dd212ff9f1b980.tar.xz
testing/neard: new aport
Near Field Communication manager https://01.org/linux-nfc/ fixes #3366
Diffstat (limited to 'testing/neard/neard.initd')
-rw-r--r--testing/neard/neard.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/neard/neard.initd b/testing/neard/neard.initd
new file mode 100644
index 0000000000..37cc40e280
--- /dev/null
+++ b/testing/neard/neard.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Purpose License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/neard/files/neard.rc,v 1.1 2013/06/21 19:39:06 vapier Exp $
+
+name="NFC daemon"
+
+command="/usr/libexec/nfc/neard"
+command_args="${NEARD_OPTS}"
+
+start_stop_daemon_args="--exec /usr/libexec/nfc/neard"
+
+depend() {
+ need dbus
+}
+
+start_pre() {
+ if [ -e /proc/modules ] ; then
+ if ! grep -qs NFC_RAW /proc/net/protocols ; then
+ modprobe -q nfc
+ fi
+ fi
+}